#
# Conditional build:
%bcond_without	obsolete_py2	# obsolete python 2.x package

%define		module	PyQt5-sip
Summary:	The sip module support for PyQt5
Summary(pl.UTF-8):	Obsługa PyQt5 dla modułu sip
Name:		python3-%{module}
Version:	12.17.0
Release:	3
Epoch:		2
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pyqt5-sip/
Source0:	https://files.pythonhosted.org/packages/source/p/pyqt5_sip/pyqt5_sip-%{version}.tar.gz
# Source0-md5:	207cb64076e4a6b0822d91a0e985fd2a
URL:		https://www.riverbankcomputing.com/software/sip/
BuildRequires:	python3-devel >= 1:3.8
BuildRequires:	python3-setuptools >= 1:30.3
BuildRequires:	python3-wheel
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.8
%if %{with obsolete_py2}
Obsoletes:	python-PyQt5-sip < 2:5
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The sip extension module provides support for the PyQt5 package.

%description -l pl.UTF-8
Rozszerzenie modułu wip, zapewniające obsługę pakietu PyQt5.

%prep
%setup -q -n pyqt5_sip-%{version}

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README
%attr(755,root,root) %{py3_sitedir}/PyQt5/sip.cpython-*.so
%{py3_sitedir}/PyQt5_sip-%{version}-py*.egg-info
%changelog
* Wed Mar 12 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-PyQt5-sip.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 320d033
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> ebe2181
- python 3.13 rebuild

* Mon Feb 24 2025 Jan Palus <atler@pld-linux.org> 07c0dee
- up to 12.17.0

* Sat Dec 21 2024 Jan Palus <atler@pld-linux.org> ed2cc47
- up to 12.16.1

* Sat Oct 05 2024 Jakub Bogusz <qboosh@pld-linux.org> bce73a8
- release 2

* Wed Oct 02 2024 Jakub Bogusz <qboosh@pld-linux.org> c57b117
- moved python-PyQt5-sip Obsoletes here (on bcond)

* Sat Sep 28 2024 Jakub Bogusz <qboosh@pld-linux.org> a8e7f19
- pl, fixed license, updated dependencies

* Sat Jul 20 2024 Jan Palus <atler@pld-linux.org> cf9965c
- drop -apidocs package info (no %files)

* Sat Jul 20 2024 Jan Palus <atler@pld-linux.org> 5a0e340
- up to 12.15.0

* Mon Oct 30 2023 Jan Palus <atler@pld-linux.org> 4ac9a13
- up to 12.13.0

* Mon Jul 24 2023 Jan Palus <atler@pld-linux.org> 1186be4
- up to 12.12.2

* Mon Jul 24 2023 Jan Palus <atler@pld-linux.org> b9a2d18
- BR: python3-setuptools

* Fri Apr 21 2023 Jan Palus <atler@pld-linux.org> 6f2f0ca
- up to 12.12.1

* Mon Apr 10 2023 Jan Palus <atler@pld-linux.org> 608dde6
- up to 12.12.0

* Sun Jan 29 2023 Jan Palus <atler@pld-linux.org> 67840b0
- rpm version for noarch subpackage

* Sun Jan 29 2023 Jan Palus <atler@pld-linux.org> a5274ad
- up to 12.11.1

* Thu Jun 30 2022 Jan Rękorajski <baggins@pld-linux.org> e6a7736
- rel 1

* Thu Jun 30 2022 Jan Rękorajski <baggins@pld-linux.org> 3a218ec
- add epoch to be able to update from sip 4.x

* Thu Jun 30 2022 Jan Rękorajski <baggins@pld-linux.org> 40a9ac2
- new

